"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Anchor = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactRouterDom = require("react-router-dom");

var _withStyles = require("../helpers/withStyles");

var _reactWithStyles = require("react-with-styles");

var _excluded = ["block", "children", "disabled", "external", "href", "loading", "openInNewWindow", "css", "target", "theme", "styles", "noHoverUnderline"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var propTypes = _objectSpread(_objectSpread({}, _reactWithStyles.withStylesPropTypes), {}, {
  block: _propTypes.default.bool,
  disabled: _propTypes.default.bool,
  external: _propTypes.default.bool,
  href: _propTypes.default.string,
  loading: _propTypes.default.bool,
  openInNewWindow: _propTypes.default.bool,
  target: _propTypes.default.string,
  noHoverUnderline: _propTypes.default.bool
});
/**
 * Anchor
 * @param {{}} props
 */


var Anchor = function Anchor(_ref) {
  var block = _ref.block,
      children = _ref.children,
      disabled = _ref.disabled,
      external = _ref.external,
      href = _ref.href,
      loading = _ref.loading,
      openInNewWindow = _ref.openInNewWindow,
      css = _ref.css,
      target = _ref.target,
      theme = _ref.theme,
      styles = _ref.styles,
      noHoverUnderline = _ref.noHoverUnderline,
      props = _objectWithoutProperties(_ref, _excluded);

  return !external && href ? /*#__PURE__*/_react.default.createElement(_reactRouterDom.Link, _extends({}, props, css(styles.anchor, !noHoverUnderline && styles.anchor_underlined), {
    to: href,
    disabled: disabled,
    target: openInNewWindow ? '_blank' : '_self'
  }), children) : /*#__PURE__*/_react.default.createElement("a", _extends({}, props, css(styles.anchor, !noHoverUnderline && styles.anchor_underlined), {
    href: href,
    target: target
  }), children);
};

Anchor.propTypes = propTypes;
var AnchorWithStyles = (0, _withStyles.withStyles)(function (_ref2) {
  var color = _ref2.color;
  return {
    anchor: {
      color: color.secondary,
      cursor: 'pointer',
      textDecoration: 'none'
    },
    anchor_underlined: {
      ':hover': {
        textDecoration: 'underline'
      }
    }
  };
})(Anchor);
exports.Anchor = AnchorWithStyles;
var _default = AnchorWithStyles;
exports.default = _default;